%define	name	elementary
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Basic widget set that is easy to use based on EFL for mobile touch-screen devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 	        http://trac.enlightenment.org/e/wiki/Elementary
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires:	pkgconfig(edje) >= %{version}-0.%svn, edje >= %{version}-0.%svn
BuildRequires:	pkgconfig(e_dbus) >= %{version}-0.%svn
BuildRequires:  pkgconfig(efreet)>= %{version}-0.%svn
BuildRequires:	pkgconfig(ethumb) >= %{version}-0.%svn
BuildRequires:	embryo >= %{version}-0.%svn
BuildRequires:	eet >= %{version}-0.%svn
%else
BuildRequires: pkgconfig(ecore) >= %{version}
BuildRequires: pkgconfig(ecore-con) >= %{version}
BuildRequires: pkgconfig(ecore-evas) >= %{version}
BuildRequires: pkgconfig(ecore-fb) >= %{version}
BuildRequires: pkgconfig(ecore-file) >= %{version}
BuildRequires: pkgconfig(ecore-imf) >= %{version}
BuildRequires: pkgconfig(ecore-sdl) >= %{version}
BuildRequires: pkgconfig(ecore-x) >= %{version}
BuildRequires: pkgconfig(edbus) >= %{version}
BuildRequires: pkgconfig(edje) >= %{version}
BuildRequires: pkgconfig(eet) >= %{version}
BuildRequires: pkgconfig(efreet) >= %{version}
BuildRequires: pkgconfig(efreet-mime) >= %{version}
BuildRequires: pkgconfig(efreet-trash) >= %{version}
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: pkgconfig(eio) >= %{version}
BuildRequires: pkgconfig(emotion) >= %{version}
BuildRequires: pkgconfig(ethumb_client)
BuildRequires: pkgconfig(evas) >= %{version}
BuildRequires: pkgconfig(eweather)
BuildRequires: edje embryo eet
%endif

%description
a basic widget set that is easy to use based on EFL for mobile
touch-screen devices

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Requires: pkgconfig(eweather)
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static --disable-web
%make

%install
%makeinstall_std

%find_lang %{name}

find %buildroot -name *.la | xargs rm

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/elementary
%{_libdir}/edje/modules/elm
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_iconsdir}/%name.png

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Feb 15 2014 trem <trem> 1.7.10-1.mga4
+ Revision: 591895
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552470
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463333
- update version to 1.7.8 (fix changelog from previous commit)
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444975
- drop merged patch
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-5.mga3
+ Revision: 412572
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-4.mga3
+ Revision: 339283
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-4.mga3
+ Revision: 333865
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-4.mga3
+ Revision: 327940
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-4.mga3
+ Revision: 321327
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-4.mga3
+ Revision: 320202
- update to release 1.7.1

* Tue Nov 06 2012 blino <blino> 1.7.0-4.mga3
+ Revision: 314593
- require eweather devel in devel package (not automatically pulled, but needed by the pkgconfig file)

* Wed Sep 12 2012 fwang <fwang> 1.7.0-3.mga3
+ Revision: 292538
- add br
- cleanup br

* Wed Sep 12 2012 fwang <fwang> 1.7.0-2.mga3
+ Revision: 292530
- rebuild for missing packages

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290162
- update to release 1.7.0

* Fri Jun 08 2012 trem <trem> 1.0.0-1.mga3
+ Revision: 257886
- update to 1.0.0 (stable release)

* Sun Mar 11 2012 trem <trem> 0.8.0-0.r69188.1.mga2
+ Revision: 222693
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.8.0-0.r69165.1.mga2
+ Revision: 222428
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.8.0-0.r68658.1.mga2
+ Revision: 218004
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.8.0-0.r68649.1.mga2
+ Revision: 217554
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.8.0-0.r68450.1.mga2
+ Revision: 215222
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.8.0-0.r68434.1.mga2
+ Revision: 214433
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.8.0-0.r68363.1.mga2
+ Revision: 213982
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.8.0-0.r68228.1.mga2
+ Revision: 212085
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.8.0-0.r68120.1.mga2
+ Revision: 210801
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.8.0-0.r68102.1.mga2
+ Revision: 210249
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.8.0-0.r67851.1.mga2
+ Revision: 207552
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.8.0-0.r67846.1.mga2
+ Revision: 207265
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.8.0-0.r67830.1.mga2
+ Revision: 206974
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.8.0-0.r67715.1.mga2
+ Revision: 206009
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.8.0-0.r65867.1.mga2
+ Revision: 176094
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.8.0-0.r65688.1.mga2
+ Revision: 174240
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.8.0-0.r65613.1.mga2
+ Revision: 172963
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.8.0-0.r65428.1.mga2
+ Revision: 169726
- update to release 65428

* Sat Nov 19 2011 trem <trem> 0.8.0-0.r65369.1.mga2
+ Revision: 169064
- remove elementary-r65369.tar.xz
- update buildrequires
- update to release 65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.8.0-0.r65269.1.mga2
+ Revision: 168200
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.8.0-0.r65129.1.mga2
+ Revision: 167162
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.8.0-0.r65056.1.mga2
+ Revision: 166583
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.8.0-0.r64753.1.mga2
+ Revision: 163327
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.8.0-0.r64603.1.mga2
+ Revision: 160813
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.8.0-0.r64579.1.mga2
+ Revision: 160599
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.8.0-0.r64519.1.mga2
+ Revision: 160064
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.8.0-0.r64511.1.mga2
+ Revision: 159815
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.8.0-0.r64501.1.mga2
+ Revision: 159289
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.8.0-0.r64414.1.mga2
+ Revision: 158386
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.8.0-0.r64328.1.mga2
+ Revision: 157787
- use svn release (instead of stable release)
- spec cleaning

* Mon Sep 26 2011 trem <trem> 0.7.0.55225-2.mga2
+ Revision: 148963
- drop la files

* Tue Apr 19 2011 ennael <ennael> 0.7.0.55225-1.mga1
+ Revision: 88196
- clean spec file
- imported package elementary

